import { Entity } from '../../../types';
import * as inputBodySchemaJson from '../schema/input-body-schema.json';
export declare function inputBodyPostSchema(entity: Entity, fieldsArray: string[], relationsField: Record<string, string[]>, schemaName: string, arrayPropsConfig: {
    arrayProps: {
        [key: string]: boolean;
    };
    relationArrayProps: {
        [key: string]: {
            [key: string]: boolean;
        };
    };
    relationType: {
        [key: string]: Function | string;
    };
    relationUuids: {
        [key: string]: {
            [key: string]: boolean;
        };
    };
}): typeof inputBodySchemaJson;
