import { PipeTransform } from '@nestjs/common';
import { Repository } from 'typeorm';
import { Entity as EntityClassOrSchema, QueryParams } from '../../../types';
export declare class QueryFiledInIncludePipe<Entity extends EntityClassOrSchema> implements PipeTransform {
    protected repository: Repository<Entity>;
    constructor(repository: Repository<Entity>);
    transform(value: QueryParams<Entity>): Promise<QueryParams<Entity>>;
}
