import { Entity } from '../../../types';
import { inputBodyPostSchema } from './';
export declare function inputBodyPatchSchema(entity: Entity, fieldsArray: string[], relationsField: Record<string, string[]>, schemaName: string, arrayPropsConfig: {
    arrayProps: {
        [key: string]: boolean;
    };
    uuidProps: {
        [key: string]: boolean;
    };
    relationArrayProps: {
        [key: string]: {
            [key: string]: boolean;
        };
    };
    relationType: {
        [key: string]: Function | string;
    };
    relationUuids: {
        [key: string]: {
            [key: string]: boolean;
        };
    };
}): ReturnType<typeof inputBodyPostSchema>;
