"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Pods = void 0;
const tslib_1 = require("tslib");
const typeorm_1 = require("typeorm");
const class_validator_1 = require("class-validator");
const _1 = require(".");
let Pods = class Pods {
};
tslib_1.__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)(),
    tslib_1.__metadata("design:type", Number)
], Pods.prototype, "id", void 0);
tslib_1.__decorate([
    (0, class_validator_1.IsNotEmpty)(),
    (0, class_validator_1.Length)(3, 50),
    (0, typeorm_1.Column)({
        type: 'varchar',
        length: 50,
        nullable: false,
        unique: true,
    }),
    tslib_1.__metadata("design:type", String)
], Pods.prototype, "name", void 0);
tslib_1.__decorate([
    (0, class_validator_1.IsEmpty)(),
    (0, typeorm_1.CreateDateColumn)({
        name: 'created_at',
        type: 'timestamp',
        nullable: true,
        default: 'CURRENT_TIMESTAMP',
    }),
    tslib_1.__metadata("design:type", Date)
], Pods.prototype, "createdAt", void 0);
tslib_1.__decorate([
    (0, class_validator_1.IsEmpty)(),
    (0, typeorm_1.UpdateDateColumn)({
        name: 'updated_at',
        type: 'timestamp',
        nullable: true,
        default: 'CURRENT_TIMESTAMP',
    }),
    tslib_1.__metadata("design:type", Date)
], Pods.prototype, "updatedAt", void 0);
tslib_1.__decorate([
    (0, typeorm_1.ManyToMany)(() => _1.Requests, (item) => item.podLocks),
    tslib_1.__metadata("design:type", Array)
], Pods.prototype, "lockedRequests", void 0);
Pods = tslib_1.__decorate([
    (0, typeorm_1.Entity)('pods')
], Pods);
exports.Pods = Pods;
//# sourceMappingURL=pods.js.map